Summary: 	Creates Reiser4 filesystem.
Name: 		reiser4progs
Version: 	1.0.5
Release: 	1
Copyright: 	GPL
Group: 		System
URL:		http://namesys.com/install_v4.html
Source0: 	ftp://ftp.namesys.com/pub/reiser4progs/%{name}-%{version}.tar.gz
BuildRoot: 	/var/tmp/%{name}-root
BuildRequires:	libaal-devel

%description
Reiser4, a complete rewrite from the previous version, 
features a number of advanced technologies to eliminate 
file corruption, enhance security and save hard drive 
space while also maximizing speed of writing to the hard
drive. ReiserFS is currently the fastest filesystem 
available, and the 2-5x speed improvement found in the 
new Reiser4 will allow for data to be written to hard 
drives at an unsurpassed rate, making the execution of
computer processes involving the hard drive to be completed 
with a minimum of process time and utmost reliability.

Reiser4 is also an "atomic" filesystem, so file corruption 
is eliminated, since operations are either completed or do 
not occur at all, making it virtually unbreakable. This 
allows for tight security, as well as superior consistency 
in data. A plug-in architecture allows for exceptionally 
easy customization of the filesystem, with outside contributors 
permitted to upgrade the filesystem without having to rewrite 
the disk.

%package 	devel
Summary: 	Development libraries and headers
Group:		Development

%description 	devel
Development libraries and headers for developing reiser4 tools.

%prep
%setup -q

%build
%configure \
	--without-readline \
        --disable-libminimal \
	--disable-plugins-check \
	--disable-fnv1-hash \
	--disable-rupasov-hash \
	--disable-tea-hash \
	--disable-deg-hash
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/man

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/*.a
/usr/share
